QT       += core gui opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = QtCreatorTest
TEMPLATE = app


SOURCES += main.cpp\
        mainwindow.cpp \
    myglwidget.cpp \
    Aether3D_Include/Aether3D.cpp \
    Aether3D_Include/MathUtil.cpp \
    Aether3D_Include/Matrix.cpp \
    Aether3D_Include/MatrixSSE3.cpp \
    Aether3D_Include/SceneGraphNode.cpp \
    inspector.cpp

HEADERS  += mainwindow.h \
    myglwidget.hpp \
    Aether3D_Include/Aether3D.hpp \
    Aether3D_Include/Audio.hpp \
    Aether3D_Include/Camera.hpp \
    Aether3D_Include/Errors.hpp \
    Aether3D_Include/KeyboardInput.hpp \
    Aether3D_Include/Light.hpp \
    Aether3D_Include/Material.hpp \
    Aether3D_Include/MathUtil.hpp \
    Aether3D_Include/Matrix.hpp \
    Aether3D_Include/Model.hpp \
    Aether3D_Include/MouseInput.hpp \
    Aether3D_Include/Quaternion.hpp \
    Aether3D_Include/Renderer.hpp \
    Aether3D_Include/Scene.hpp \
    Aether3D_Include/SceneGraphNode.hpp \
    Aether3D_Include/Texture.hpp \
    Aether3D_Include/Vec3.hpp \
    inspector.hpp \
    EditorState.h

RC_ICONS = glider.ico
ICON = QtCreatorTest.icns
QMAKE_MAC_SDK = macosx10.9
CONFIG += c++11
QMAKE_INFO_PLIST = Info.plist

win32 {
    DEFINES += AETHER3D_WINDOWS
    PWD_WIN = $${PWD}
    DESTDIR_WIN = $${OUT_PWD}
    PWD_WIN ~= s,/,\\,g
    DESTDIR_WIN ~= s,/,\\,g
    LIBS += -lUser32 -lGdi32 -lOpenGL32
    copyfiles.commands = $$quote(cmd /c xcopy /S /I /y $${PWD_WIN}\copy_to_output $${DESTDIR_WIN})
}
macx {
    QMAKE_CXXFLAGS += -std=c++11 -stdlib=libc++
    LIBS += -ldl -fPIC
    DEFINES += AETHER3D_UNIX
    copyfiles.commands = cp -r $$PWD/copy_to_output/* $$OUT_PWD
}

linux {
    QMAKE_CXXFLAGS += -std=c++11
    LIBS += -ldl -fPIC
    DEFINES += AETHER3D_UNIX
    copyfiles.commands = cp -r $$PWD/copy_to_output/* $$OUT_PWD
}
QMAKE_EXTRA_TARGETS += copyfiles
POST_TARGETDEPS += copyfiles
