#version 150 core

uniform sampler2D textureMap;
uniform sampler2D bloomMap;
uniform sampler2D ssaoMap;
uniform float bloomFactor;

in vec2 vTexCoord;

out vec4 fragColor;

vec4 reinhard( in vec4 color )
{
    float exposure = 2.5;
    
    vec4 outColor = color;
    outColor *= exposure;
    outColor /= (1.0 + outColor);

    return outColor;
}

void main()
{
    vec4 color = texture( textureMap, vTexCoord, 0 );
//#ifdef SSAO
    vec4 ssao = texture( ssaoMap, vTexCoord );
    color *= ssao.a;
//#endif
//#ifdef BLOOM
    vec4 colorBloom = texture( bloomMap, vTexCoord );
    color += colorBloom * bloomFactor;
//#endif
    fragColor = reinhard( color );
}

